Package org.apache.solr.cluster.api

## Interface ShardReplica

    @Deprecated
    public interface ShardReplica

Deprecated.
replica of a shard

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `alive()` Deprecated. Is the replica alive now
`String` `collection()` Deprecated. collection which it belongs to
`String` `core()` Deprecated. Name of the core where this is hosted
`long` `indexSize()` Deprecated. Size of the index in bytes.
`boolean` `isLeader()` Deprecated. Is this replica the leader
`String` `name()` Deprecated. Name of this replica
`String` `node()` Deprecated. Name of the node where this replica is present
`String` `shard()` Deprecated. The shard which it belongs to
`Replica.Type` `type()` Deprecated. type of the replica
`String` `url​(ApiType type)` Deprecated. Baseurl for this replica

### Method Detail

#### name

    String name()

Deprecated.
Name of this replica

#### shard

    String shard()

Deprecated.
The shard which it belongs to

#### collection

    String collection()

Deprecated.
collection which it belongs to

#### node

    String node()

Deprecated.
Name of the node where this replica is present

#### core

    String core()

Deprecated.
Name of the core where this is hosted

#### type

    Replica.Type type()

Deprecated.
type of the replica

#### alive

    boolean alive()

Deprecated.
Is the replica alive now

#### indexSize

    long indexSize()

Deprecated.
Size of the index in bytes. Keep in mind that this may result in a network call. Also keep in mind that the value that you get is at best an approximation. The exact size may vary from replica to replica

#### isLeader

    boolean isLeader()

Deprecated.
Is this replica the leader

#### url

    String url​(ApiType type)

Deprecated.
Baseurl for this replica